      SUBROUTINE  READUA (IOUNIT,EOFILE,LINE,NWORDS)
C     (Write Unformatted Array)
C     Retrieve "NWORDS"  words of  text  IN "line(*)"  from  unit
C     number "IOUNIT".  This simple  operation is relegated to  a
C     SUBROUTINE for three reasons:
C     1) an implied DO can be avoided on the READ statement,
C        which is usually more efficient.
C     2) word-size dependence for the FORMAT is localized.
C     3) replacement by an assembly-language equivalent is
C        facilitated.
C     (02-JUL-79)
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     RUNTIME DIMENSION VARIABLES
C
      INTEGER             NWORDS
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     NON-COMMON VARIABLES
C
C     SETS                EOFILE,      LINE
C
      INTEGER             IOUNIT,      LINE(NWORDS)
      LOGICAL             EOFILE
C
      READ (IOUNIT,END=20001) LINE
      EOFILE=.FALSE.
      GO TO 20002
20001 EOFILE=.TRUE.
C
20002 RETURN
      END
